Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155634 - gnome-font-viewer segfaults on any font
Summary: gnome-font-viewer segfaults on any font
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-22 03:14 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 15:51:26 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2005-04-22 03:14:36 UTC
This might be an Xft bug

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208288800 (LWP 18329)]
0x00964926 in _XftSetFace () from /usr/X11R6/lib/libXft.so.2
(gdb) bt
#0  0x00964926 in _XftSetFace () from /usr/X11R6/lib/libXft.so.2
#1  0x009650e9 in XftFontCopy () from /usr/X11R6/lib/libXft.so.2
#2  0x0096529b in XftFontManageMemory () from /usr/X11R6/lib/libXft.so.2
#3  0x00965341 in XftFontClose () from /usr/X11R6/lib/libXft.so.2
#4  0x0804ba8e in ?? ()
#5  0x004dcdd6 in __libc_start_main () from /lib/libc.so.6
#6  0x0804a201 in ?? ()

Comment 1 Matthias Clasen 2005-04-22 06:10:25 UTC
Upstream in  http://bugzilla.gnome.org/show_bug.cgi?id=301538
contains a pointer to an Xft patch

Comment 2 Tomas Mraz 2005-04-22 15:18:14 UTC
The actual Xft bug report: https://bugs.freedesktop.org/show_bug.cgi?id=1951


Comment 3 Mike A. Harris 2005-04-25 15:44:07 UTC
This one is the Xorg bug report I'm tracking, to get this into 6.8.3:

https://bugs.freedesktop.org/show_bug.cgi?id=1958

Comment 4 Mike A. Harris 2005-04-25 15:51:26 UTC
Approved for rawhide and added to xorg-x11-6.8.2-28.


Note You need to log in before you can comment on or make changes to this bug.